# $XFree86: doctools/sgmlformat/sgmlfmt/Makefile,v 1.3 1998/04/12 03:13:03 dawes Exp $

SHELL=/bin/sh

# These are defaults which are normally overriden
PREFIX = /usr/local
INSTALL = install
BINDIR = $(PREFIX)/bin
PERLCMD = /usr/local/bin/perl
TMAC_DIR = $(PREFIX)/share/sgml/tmac

all: sgmlfmt

sgmlfmt: sgmlfmt.pl
	rm -f sgmlfmt
	sed -e 's|##PERLCMD##|$(PERLCMD)|' \
	    -e 's|##PREFIX##|$(PREFIX)|' < sgmlfmt.pl > sgmlfmt

install: sgmlfmt
	$(INSTALL) -c -m 755 sgmlfmt $(BINDIR)

#MAN1=		sgmlfmt.1

clean:
	rm -f sgmlfmt
